Skip to main content
POST
/
workspaces
Create workspace
curl --request POST \
  --url https://api.vantage.sh/v2/workspaces \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "enable_currency_conversion": true,
  "currency": "<string>",
  "exchange_rate_date": "daily_rate"
}
'
import requests

url = "https://api.vantage.sh/v2/workspaces"

payload = {
"name": "<string>",
"enable_currency_conversion": True,
"currency": "<string>",
"exchange_rate_date": "daily_rate"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
enable_currency_conversion: true,
currency: '<string>',
exchange_rate_date: 'daily_rate'
})
};

fetch('https://api.vantage.sh/v2/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "token": "wrkspc_c820c203e53de3e1",
  "name": "Ellingson Mineral Corporation",
  "created_at": "2024-10-01T01:00:55Z",
  "enable_currency_conversion": true,
  "currency": "JPY",
  "exchange_rate_date": "end_of_billing_period_rate"
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Create a workspace

name
string
required

Name of the workspace.

enable_currency_conversion
boolean
default:true

Enable currency conversion for the workspace.

currency
string

Currency code for the workspace.

exchange_rate_date
enum<string>
default:daily_rate

The date to use for currency conversion.

Available options:
daily_rate,
end_of_billing_period_rate

Response

Workspace model

token
string
required
name
string
required

The name of the Workspace.

Example:

"Acme Corp."

created_at
string
required

The date and time, in UTC, the Workspace was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

enable_currency_conversion
boolean
required

Whether or not currency conversion is enabled for the Workspace.

currency
string
required

The currency code for the Workspace that will be used for currency conversion.

Example:

"USD"

exchange_rate_date
string
required

The exchange rate date that will be used to convert currency for your cost data.